NSX-T Data Center REST API

Read transit gateway centralized service configuration

Read the centralized service config for the transit gateway.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/transit-gateways/{transit-gateway-id}/centralized-configs/{centralized-config-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/default/transit-gateways/default/centralized-configs/default

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
CentralizedConfig+

Example Response:

{ "ha_mode": "ACTIVE_STANDBY", "edge_cluster_paths": [ "/infra/sites/default/enforcement-points/default/edge-clusters/EDGECLUSTER1" ], "resource_type": "CentralizedConfig", "id": "default", "display_name": "default", "description": "updated. ", "path": "/orgs/default/projects/default/transit-gateways/TGW-test/centralized-configs/default", "relative_path": "default", "parent_path": "/orgs/default/projects/default/transit-gateways/TGW-test", "remote_path": "", "unique_id": "20de37ab-fa23-49f6-8ce5-2fc9724cdca9", "realization_id": "20de37ab-fa23-49f6-8ce5-2fc9724cdca9", "owner_id": "ed0fd6cd-5165-4221-bf64-5a128214a602", "marked_for_delete": false, "overridden": false, "_create_time": 1772420397207, "_create_user": "system", "_last_modified_time": 1772420733979, "_last_modified_user": "admin", "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 }

Required Permissions:

read

Feature:

policy_transit_gateway

Additional Errors: